## pppstatus 0.4.2

=== Makefile ===
# Makefile for PPPStatus v0.4.2
# Gabriel Montenegro

LDFLAGS = -lncurses
CFLAGS = -O2 -Wall

BIN = pppstatus
SRC = pppstatus.o
BIN2 = runonboot
SRC2 = runonboot.o

INSTDIR = /usr/local/bin
INSTALL=/usr/bin/install
INSTALL_PARMS=-o 0 -g 0 -s -m 0755

all : pppstatus runonboot printdone

pppstatus : pppstatus.o
	gcc $(CFLAGS) $(LDFLAGS) -o ${BIN} ${SRC}

runonboot : runonboot.o
	gcc $(CFLAGS) -o ${BIN2} ${SRC2}

printdone:
	@if [ -e "./${BIN}" ] || [ -e "./${BIN2}" ]; then echo "Compiled.."; else echo "Error compiling!"; fi

clean:
	rm -f ${BIN} ${BIN2} *.o core *~ 
install:
	$(INSTALL) $(INSTALL_PARMS) pppstatus /usr/local/bin

## pppstatus 0.4.2-2

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,7 @@
-# Makefile for PPPStatus v0.4.2
+# Makefile for PPPStatus v0.4.8
 # Gabriel Montenegro
+#
+# modified for Debian by John Hasler
 
 LDFLAGS = -lncurses
 CFLAGS = -O2 -Wall
@@ -9,9 +11,10 @@
 BIN2 = runonboot
 SRC2 = runonboot.o
 
-INSTDIR = /usr/local/bin
-INSTALL=/usr/bin/install
-INSTALL_PARMS=-o 0 -g 0 -s -m 0755
+# Disabled install for Debian
+#INSTDIR = /usr/bin
+#INSTALL=/usr/bin/install
+#INSTALL_PARMS=-o 0 -g 0 -s -m 0755
 
 all : pppstatus runonboot printdone
 
@@ -26,6 +29,7 @@
 
 clean:
 	rm -f ${BIN} ${BIN2} *.o core *~ 
-install:
-	$(INSTALL) $(INSTALL_PARMS) pppstatus /usr/local/bin
 
+# Disabled install for Debian
+#install:
+#	$(INSTALL) $(INSTALL_PARMS) pppstatus $(DESTDIR)/usr/bin

=== debian/changelog ===
pppstatus (0.4.2-2) unstable; urgency=low
  
  * Added test for check at line 1555 so that the 'r' command won't
    cause a crash when email checking is not enabled in config file.
  * Moved config file out of /var/log.
  * Closes: #120170

 -- John Hasler <jhasler@debian.org>  Sun, 2 Dec 2001 12:20:00 +0500

pppstatus (0.4.2-1) unstable; urgency=low

  * New upstream release.

  * Commented out 'printf("\e(U"); /* Thanks kspoon */' and arranged to
    pass hline() ACS_BLOCK instead of 219.
  * Closes: #105671 

 -- John Hasler <jhasler@debian.org>  Wed, 8 Aug 2001 21:45:00 +0500

pppstatus (0.4.1-5) unstable; urgency=low

  * New maintainer.

 -- John Hasler <jhasler@debian.org>  Sat, 9 Jun 2001 22:45:00 +0500

pppstatus (0.4.1-4) unstable; urgency=low

  * Updated the manpage with improvements kindly contributed by Carlos
    Valdivia Yage.
  * Corrected a typo in README.costs (tarifes replaced by tariffes) that
    was pointed out by Carlos as well.
  * Added a hint in README.Debian concerning the reset of the console
    after terminating pppstatus; closes: #95646 

 -- Dr. Guenter Bechly <gbechly@debian.org>  Sat, 28 Apr 2001 23:25:39 +0200

pppstatus (0.4.1-3) unstable; urgency=low

  * Added libncurses5-dev to Build-Depends; closes: #92772 

 -- Dr. Guenter Bechly <gbechly@debian.org>  Tue,  3 Apr 2001 21:17:32 +0200

pppstatus (0.4.1-2) unstable; urgency=low

  * Corrected typo in copyright file; closes: #88759

 -- Dr. Guenter Bechly <gbechly@debian.org>  Mon, 26 Mar 2001 16:09:11 +0200

pppstatus (0.4.1-1) unstable; urgency=low

  * New upstream release.

 -- Dr. Guenter Bechly <gbechly@debian.org>  Thu,  1 Mar 2001 18:50:48 +0100

pppstatus (0.4.0-2) unstable; urgency=low

  * Applied a patch by Paul Slootman which is included as patch.diff and
    which was also forwarded upstream; closes: #86717

 -- Dr. Guenter Bechly <gbechly@debian.org>  Fri, 23 Feb 2001 16:56:12 +0100

pppstatus (0.4.0-1) unstable; urgency=low

  * Initial Release (this package was orinally ITPed by Christian Surchi,
    but has been taken over by me after negotiation with him).
  * Wrote a manpage
  * Modified Makefile.

 -- Dr. Guenter Bechly <gbechly@debian.org>  Sat, 17 Feb 2001 17:29:27 +0100

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: pppstatus
Section: net
Priority: optional
Maintainer: John Hasler <jhasler@debian.org>
Build-Depends: debhelper (>> 2.0.0), libncurses5-dev
Standards-Version: 3.2.1

Package: pppstatus
Architecture: any
Depends: ${shlibs:Depends}
Description: console-based PPP status monitor
 PPPstatus is a console-based utility for displaying the
 status of a PPP link, including connection verification,
 connecting time, costs calculation, top speed, e-mail
 check, ip address, graphical statistics, TX and RX leds,
 interface selection, and more. It even supports xDSL
 with pppoe.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/pppstatus.sgml > pppstatus.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/pppstatus.
#	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	install -d -o root -g root -m 755 debian/tmp/usr/bin
	install -d -o root -g root -m 755 debian/tmp/usr/sbin
	install -p -o 0 -g 0 -s -m 755 pppstatus debian/tmp/usr/bin
	install -p -o 0 -g 0 -s -m 755 runonboot debian/tmp/usr/sbin

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion 2
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples costs
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
#	dh_installcron
	dh_installmanpages pppstatus runonboot
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs CHANGELOG
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
#	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
